from openerp.tests.common import SavepointCase


class TestHRFields(SavepointCase):

    def test_user_fields(self):
        u = self.env.ref('base.user_demo')

        self.assertEqual(
            u.employee_id, self.env.ref('hr.employee_qdp'))
        self.assertEqual(
            u.hr_department_id, self.env.ref('hr.dep_rd'))
        self.assertEqual(
            u.hr_manager_id, u.employee_id.parent_id)
        self.assertEqual(
            u.hr_job_id, self.env.ref('hr.job_developer'))
        self.assertFalse(u.hr_coach_id)

        u.employee_id.coach_id = self.env.ref('hr.employee_chs')

        self.assertEqual(u.hr_coach_id, self.env.ref('hr.employee_chs'))
